GFS_ACL_GET_ENTRY(3)

NAME
gfs_acl_get_entry - get a Gfarm ACL entry

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_get_entry(gfarm_acl_t acl, int entry_id, gfarm_acl_entry_t *entry_p);

INPUT ARGUMENTS

acl
    An ACL structure type.

entry_id
    GFARM_ACL_FIRST_ENTRY (to get first ACL entry) or GFARM_ACL_NEXT_ENTRY (to get next ACL entry).

entry_p
    Pointer to get the ACL entry.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_SUCH_OBJECT
    The ACL does not have ACL entries anymore. (End of ACL)

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_calc_mask(3), gfs_acl_create_entry(3), gfs_acl_delete_entry(3), gfs_acl_get_file(3)